Subject: Re: [Bitcoin-development] Blitcoin? (Black Hat 2011)

From: Christian Decker <[email-masked]>
Date: Fri, 5 Aug 2011 14:58:53 +0200

While I do think that anonymity (or pseudonymity) is a nice feature, I don't
think it deserves the full focus of the developers. The core of the protocol
is about making transactions in a secure and fast way, not allowing
everybody to be anonymous, whether they want to or not. TOR already is a
good options for those that want to stay anonymous, and there is no need to
pull support into the main client, if only a few will use it. I think very
few of the developers actually claimed that Bitcoin is anonymous, and has
never been a big advertising point from the "official" side of Bitcoin,
network analysis has been always known to break anonymity.

I see no need for action from the developer side.

-cdecker

On Fri, Aug 5, 2011 at 2:01 PM, Joel Joonatan Kaartinen <
[email-masked]> wrote:

> On Fri, 2011-08-05 at 01:52 -0400, Jeff Garzik wrote:
> > Yes, that is correct.  Bitcoin resends wallet transactions with zero
> > confirmations, and both sent and received transactions fall within the
> > "wallet tx" superset.
> >
> > TBH I had forgotten about the resend on the receiver side, though.
> > It, of course, makes plenty of sense in the context of importing
> > transactions from foreign sources, e.g. receiving transactions via a
> > USB flash drive.
>
> Could every node do the resends? Alternatively, could we implement a TOR
> like tunneling system just for the first leg of the transactions
> (overkill?). Then again, maybe just a TOR gateway if that's desired.
>
> > > Drawok's suggestion about using UDP packets with spoofed sender
> addresses is
> > > interesting, as UDP has another advantage; you can open up an "inbound"
> UDP
> > > port on almost any NAT router without any UPNP magic: just send out an
> UDP
> > > packet, the router will wait a certain time for answers (on a mapped
> port
> > > number) and relay these back.
>
> This is a nice idea but sounds rather unreliable.
>
> > Well, it -is- possible to implement TCP over UDP <grin>  The TCP
> > connection sequence over UDP helps to work against spoofing, while UDP
> > helps to open an inbound UDP port as you describe.
>
> There's already an implementation of this, called UTP. If we do decide
> that using UDP is worthwhile, this library is probably better than
> implementing something ourselves.
>
> - Joel
>
>
>
>
> ------------------------------------------------------------------------------
> BlackBerry&reg; DevCon Americas, Oct. 18-20, San Francisco, CA
> The must-attend event for mobile developers. Connect with experts.
> Get tools for creating Super Apps. See the latest technologies.
> Sessions, hands-on labs, demos & much more. Register early & save!
> http://p.sf.net/sfu/rim-blackberry-1
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>